Loading...
Searching...
No Matches
BALL::SASVertex Class Reference
Molecular Modeling » Molecular Structure » Molecular Surface Computation

`#include <BALL/STRUCTURE/SASVertex.h>`

Inheritance diagram for BALL::SASVertex:

## Public Member Functions

Constructors and Destructors
| SASVertex ()
| SASVertex (const SASVertex &sasvertex, bool deep=false)
| SASVertex (const TVector3< double > &point, Index index)
virtual | ~SASVertex ()
Assignment
void | set (const SASVertex &sasvertex, bool deep=false)
SASVertex & | operator= (const SASVertex &sasvertex)
void | set (const TVector3< double > point, Index index)
void | setPoint (const TVector3< double > &point)
TVector3< double > | getPoint () const
Public Member Functions inherited from BALL::GraphVertex< SASVertex, SASEdge, SASFace >
| GraphVertex ()
virtual | ~GraphVertex ()
void | set (const GraphVertex< SASVertex, SASEdge, SASFace > &vertex, bool deep=false)
GraphVertex< SASVertex, SASEdge, SASFace > & | operator= (const GraphVertex< SASVertex, SASEdge, SASFace > &vertex)
void | insert (SASEdge *edge)
void | remove (SASEdge *edge)
Position | numberOfEdges () const
Position | numberOfFaces () const
void | setIndex (Index index)
Index | getIndex () const
bool | join (const SASVertex &vertex)
bool | substitute (SASVertex *vertex)
SASFace * | has (SASFace *face) const
bool | hasEdges () const
bool | hasFaces () const
EdgeIterator | beginEdge ()
EdgeIterator | endEdge ()
FaceIterator | beginFace ()
FaceIterator | endFace ()

## Friends

Class friends

- class SASEdge
- class SASFace
- class SolventAccessibleSurface
- class TriangulatedSAS
- class SASTriangulator

class | SASEdge
class | SASFace
class | SolventAccessibleSurface
class | TriangulatedSAS
class | SASTriangulator
Friends inherited from BALL::GraphVertex< SASVertex, SASEdge, SASFace >

## Predicates

TVector3< double > | point_
virtual bool | operator== (const SASVertex &) const
virtual bool | operator!= (const SASVertex &) const
virtual bool | operator*= (const SASVertex &) const

## Additional Inherited Members

Public Types inherited from BALL::GraphVertex< SASVertex, SASEdge, SASFace >
typedef HashSet< SASEdge * >::Iterator | EdgeIterator
typedef HashSet< SASEdge * >::ConstIterator | ConstEdgeIterator
typedef HashSet< SASFace * >::Iterator | FaceIterator
typedef HashSet< SASFace * >::ConstIterator | ConstFaceIterator
HashSet< SASEdge * > | edges_
HashSet< SASFace * > | faces_
Index | index_

## Detailed Description

Generic SASVertex Class.

Definition at line 28 of file SASVertex.h.

## Constructor & Destructor Documentation

## SASVertex() [1/3]

BALL::SASVertex::SASVertex | ( |  | ) |

Default constructor. This method creates a new SASVertex object.

## SASVertex() [2/3]

BALL::SASVertex::SASVertex | ( | const SASVertex & | sasvertex,
|  | bool | deep = false )

Copy constructor. Create a new SASVertex object from another.

Parameters

  sasvertex | the SASVertex object to be copied
  deep | if deep = false, all pointers are set to NULL (default). Otherwise the new SASVertex object is linked to the neighbours of the old SASVertex object.

## SASVertex() [3/3]

BALL::SASVertex::SASVertex | ( | const TVector3< double > & | point,
|  | Index | index )

Detailled constructor. Create a new SASVertex object from some nice objects.

Parameters

  point | assigned to the point representet by the vertex
  index | assigned to the index of the vertex

## ~SASVertex()

virtual BALL::SASVertex::~SASVertex | ( |  | ) |

virtual

Destructor. Destructs the RSVertex object.

## Member Function Documentation

## getPoint()

TVector3< double > BALL::SASVertex::getPoint | ( |  | ) | const

Return the point represented by the SASVertex.

Returns
  TVector3<double> the point represented by the vertex

## operator!=()

virtual bool BALL::SASVertex::operator!= | ( | const SASVertex & |  | ) | const

virtual

Inequality operator.

Returns
  bool false

Reimplemented from BALL::GraphVertex< SASVertex, SASEdge, SASFace >.

## operator*=()

virtual bool BALL::SASVertex::operator*= | ( | const SASVertex & |  | ) | const

virtual

Similarity operator.

Returns
  bool true if the points the SASVertices lie on are
  equal, false otherwise

Reimplemented from BALL::GraphVertex< SASVertex, SASEdge, SASFace >.

## operator=()

SASVertex & BALL::SASVertex::operator= | ( | const SASVertex & | sasvertex | ) |

Assign from another SASVertex. The new SASVertex object is linked to the neighbours of the SASVertex object to assign from.

Parameters

  sasvertex | the SASVertex object to assign from

## operator==()

virtual bool BALL::SASVertex::operator== | ( | const SASVertex & |  | ) | const

virtual

Equality operator.

Returns
  bool true

Reimplemented from BALL::GraphVertex< SASVertex, SASEdge, SASFace >.

## set() [1/2]

void BALL::SASVertex::set | ( | const SASVertex & | sasvertex,
|  | bool | deep = false )

Assign from another SASVertex.

Parameters

  sasvertex | the SASVertex object to assign from
  deep | if deep = false, all pointers are set to NULL (default). Otherwise the new SASVertex object is linked to the neighbours of the SASVertex object to assign from.

## set() [2/2]

void BALL::SASVertex::set | ( | const TVector3< double > | point,
|  | Index | index )

Assign to a TVector3<double> and an Index.

Parameters

  point | assigned to the point represented by the vertex
  index | assigned to the index of the vertex

## setPoint()

void BALL::SASVertex::setPoint | ( | const TVector3< double > & | point | ) |

Set the point represented by the SASVertex.

Parameters

  point | the new point

## Friends And Related Symbol Documentation

## SASEdge

friend class SASEdge

friend

Definition at line 41 of file SASVertex.h.

## SASFace

friend class SASFace

friend

Definition at line 42 of file SASVertex.h.

## SASTriangulator

friend class SASTriangulator

friend

Definition at line 45 of file SASVertex.h.

## SolventAccessibleSurface

friend class SolventAccessibleSurface

friend

Definition at line 43 of file SASVertex.h.

## TriangulatedSAS

friend class TriangulatedSAS

friend

Definition at line 44 of file SASVertex.h.

## Member Data Documentation

## point_

TVector3<double> BALL::SASVertex::point_

protected

Definition at line 161 of file SASVertex.h.